[Surfraw-devel] [PATCH] New elvis to search SAO/NASA Astrophysics Data System

Jameson Rollins jrollins at finestructure.net
Fri Aug 20 15:16:00 UTC 2010


This elvis is super basic at the moment, providing just access to the
front page and simple search.  Could be improved to handle the full
query system.
---
 elvi/ads |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)
 create mode 100755 elvi/ads

diff --git a/elvi/ads b/elvi/ads
new file mode 100755
index 0000000..2419898
--- /dev/null
+++ b/elvi/ads
@@ -0,0 +1,27 @@
+#!/bin/sh
+# elvis: ads           -- Search SAO/NASA Astrophysics Data System
+# jrollins at finestructure.net 20100819
+. surfraw || exit 1
+
+w3_usage_hook () {
+    cat <<EOF
+Usage: $w3_argv0 [options] [search words]...
+Description:
+  Surfraw search the SAO/NASA Astrophysics Data System
+EOF
+    w3_global_usage
+}
+
+w3_config
+w3_parse_args "$@"
+# w3_args now contains a list of arguments
+if test -z "$w3_args"; then
+    w3_browse_url "http://adsabs.harvard.edu/"
+else
+    escaped_args=`w3_url_of_arg $w3_args`
+
+    # not direct to ads, construct url from options
+    url="http://adsabs.harvard.edu/cgi-bin/nph-basic_connect?qsearch=${escaped_args}&version=1"
+
+    w3_browse_url "$url"
+fi
-- 
1.7.1



More information about the Surfraw-devel mailing list